package files

import (
	"os"

	"git.tswf.io/incredible-go/incredible-go-core/pkg/io/files/file_perm"
)

func MkdirParent(fileLocation string) error {
	parentDir := GetParentDir(fileLocation)
	if parentDir != "" {
		parentDirCreationErr := os.MkdirAll(parentDir, file_perm.GetPermForDir(parentDir))

		if parentDirCreationErr != nil {
			return parentDirCreationErr
		}
	}

	return nil
}
